## ros-rolling-py-trees-ros 2.2.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -E -vvv
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = ./sources
BUILDDIR      = ./build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile clean py_trees_ros.egg-info

clean:
	rm -rf build

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ros-rolling-py-trees-ros (2.2.2-2jammy) jammy; urgency=high

  * [pkg] tf2_ros -> tf2_ros_py, #204 <https://github.com/splintered-reality/py_trees_ros/pull/204>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 10 Feb 2023 08:00:00 -0000

ros-rolling-py-trees-ros (2.2.1-2jammy) jammy; urgency=high

  * [behaviours] eliminate more arg name defaults, #201 <https://github.com/splintered-reality/py_trees_ros/pull/201>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Feb 2023 08:00:00 -0000

ros-rolling-py-trees-ros (2.2.0-2jammy) jammy; urgency=high

  * [actions] pre-merge and push-ci-image actions,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [tests] bugfix explicit args and time float errors in tests,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [watchers] handle explicit args and memory details,  #196 <https://github.com/splintered-reality/py_trees_ros/pull/196>
  * [watchers] bugfix blackboard watcher shutdownon humble, #194 <https://github.com/splintered-reality/py_trees_ros/pull/194>
  * [code] refactor for explicit arguments, #191 <https://github.com/splintered-reality/py_trees_ros/pull/191>
  * [trees] optional node and node name args to setup, #188 <https://github.com/splintered-reality/py_trees_ros/pull/188>
  * [trees] switch deprecating qos policy for shorter versions, #187 <https://github.com/splintered-reality/py_trees_ros/pull/187>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Feb 2023 08:00:00 -0000

ros-rolling-py-trees-ros (2.1.1-2jammy) jammy; urgency=high

  * [trees] publish with/without memory information (supports new selector/sequence modes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 May 2021 07:00:00 -0000

ros-rolling-py-trees-ros (2.1.0-2jammy) jammy; urgency=high

  * [infra] update for api changes in py_trees 2.1.0 (Chooser no longer supported)
  * [infra] update for api changes in ros2 foxy (not breaking changes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Aug 2020 07:00:00 -0000

ros-rolling-py-trees-ros (2.0.11-2jammy) jammy; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #156 <https://github.com/splintered-reality/py_trees_ros/pull/156>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 07:00:00 -0000

ros-rolling-py-trees-ros (2.0.10-2jammy) jammy; urgency=high

  * [mock] server bugfixed to accommodate custom result handlers, #154 <https://github.com/splintered-reality/py_trees_ros/pull/154>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Mar 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.9-2jammy) jammy; urgency=high

  * [behaviours] default to periodic checks with warnings for action client timeouts, #153 <https://github.com/splintered-reality/py_trees_ros/pull/153>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Mar 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.8-2jammy) jammy; urgency=high

  * [behaviours] wait_for_server_timeout_sec in action clients, #152 <https://github.com/splintered-reality/py_trees_ros/pull/152>
  * [trees] avoid irregular snapshot streams by avoiding timing jitter, #151 <https://github.com/splintered-reality/py_trees_ros/pull/151>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 04 Mar 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.7-2jammy) jammy; urgency=high

  * [programs] graph discovery timeouts 1.0->2.0s, #149 <https://github.com/splintered-reality/py_trees_ros/pull/149>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.6-2jammy) jammy; urgency=high

  * [behaviours] action client goals from blackboard behaviour, #148 <https://github.com/splintered-reality/py_trees_ros/pull/148>
  * [behaviours] publish from blackboard behaviour, #146 <https://github.com/splintered-reality/py_trees_ros/pull/146>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Feb 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.5-2jammy) jammy; urgency=high

  * [serialisation] include parallel policy details

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 24 Jan 2020 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.4-2jammy) jammy; urgency=high

  * [blackboard] bugfix protection against activity stream not activitated for views, #140 <https://github.com/splintered-reality/py_trees_ros/pull/140>
  * [trees] bugfix toggle for activity client on reconfigure, #139 <https://github.com/splintered-reality/py_trees_ros/pull/139>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Dec 2019 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.3-2jammy) jammy; urgency=high

  * [infra] add a marker file to assist with ros2cli discovery #138 <https://github.com/splintered-reality/py_trees_ros/pull/138>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.2-2jammy) jammy; urgency=high

  * [trees] on-demand snapshot stream services, similar to blackboard streams, #135 <https://github.com/splintered-reality/py_trees_ros/pull/135>, #136 <https://github.com/splintered-reality/py_trees_ros/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.1-2jammy) jammy; urgency=high

  * [trees] periodically publish snapshots, #131 <https://github.com/splintered-reality/py_trees_ros/pull/131>,
  * [trees] permit setup visitors, provide a default with timings, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] bugfix non-infinite timeout arg getting ignored, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] snapshot now publishing tree changed flag and key access info, #128 <https://github.com/splintered-reality/py_trees_ros/pull/128>
  * [utilities] deprecate myargv for rclpy.utilities.remove_ros_args, #130 <https://github.com/splintered-reality/py_trees_ros/pull/130>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Dec 2019 08:00:00 -0000

ros-rolling-py-trees-ros (2.0.0-2jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-py-trees-ros
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-setuptools, ros-rolling-geometry-msgs, ros-rolling-py-trees, ros-rolling-py-trees-ros-interfaces, ros-rolling-rcl-interfaces, ros-rolling-rclpy, ros-rolling-ros2topic, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-ros-py, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-rolling-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-py-trees, ros-rolling-py-trees-ros-interfaces, ros-rolling-rcl-interfaces, ros-rolling-rclpy, ros-rolling-ros2topic, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-ros-py, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-py-trees-ros//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
